cmdoption.hh File Reference
`#include <string>`
`#include <memory>`
`#include <iostream>`
`#include <mia/core/cmdoptionflags.hh>`
`#include <mia/core/handlerbase.hh>`
Include dependency graph for cmdoption.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CCmdOption
| The base class for all command line options. More...

## Typedefs

typedef std::map< std::string, CCmdOption * > | CLongoptionMap
| Class to provide a maping from long option names to options.
typedef std::map< char, CCmdOption * > | CShortoptionMap
| Class to provide a maping from short option names to options.
typedef std::shared_ptr< CCmdOption > | PCmdOption
| a shared pointer definition of the Option

## Typedef Documentation

## CLongoptionMap

typedef std::map<std::string, CCmdOption *> CLongoptionMap

Class to provide a maping from long option names to options.

Definition at line 39 of file cmdoption.hh.

## CShortoptionMap

typedef std::map<char, CCmdOption *> CShortoptionMap

Class to provide a maping from short option names to options.

Definition at line 36 of file cmdoption.hh.

## PCmdOption

typedef std::shared_ptr<CCmdOption > PCmdOption

a shared pointer definition of the Option

Definition at line 181 of file cmdoption.hh.